API Reference workspaces

Write a file

PUT/projects/{project_id}/workspace/file

Create or replace one workspace file with UTF-8 text content.

Parameters

Body fieldRequiredDescription
pathyesDestination path inside the workspace
contentyesUTF-8 text content
wsnoWorkspace UUID — defaults to the project default workspace

Request

curl -X PUT "$ALLYBUILD_API_URL/projects/$PROJECT_ID/workspace/file" \
  -H "Authorization: Bearer $TASK_JWT" \
  -H "Content-Type: application/json"
  -d '{"path": "/reports/summary.md", "content": "# Summary\nAll good."}'